[问题] 请问有没有必要安装显卡官方驱动?

为当前最终发行版之前的所有版本提供支持
回复
donkey
帖子: 51
注册时间: 2007-06-16 15:16
送出感谢: 0
接收感谢: 0

[问题] 请问有没有必要安装显卡官方驱动?

#1

帖子 donkey » 2007-07-21 21:40

直接装完系统之后,自带的驱动相当全面,连我的多媒体銉盘都能识别。不过,在移动窗口时候,感觉屏幕刷新的不是很快,有没有必要安装原版的官方驱动?我的显示是nVIDIA GeForce 7300 LE显卡。如果直接从网上下载,如何安装和设置?请高手指点啊。
头像
qianwx
帖子: 730
注册时间: 2006-07-08 14:41
送出感谢: 0
接收感谢: 0

#2

帖子 qianwx » 2007-07-21 22:54

如果各方面(刷新率、分辨率、3D加速等)都能正确使用,那么建议你就不要用官方的了。毕竟这是linux,不是windows,没有那么多游戏或者软件对显卡有强烈要求的。
donkey
帖子: 51
注册时间: 2007-06-16 15:16
送出感谢: 0
接收感谢: 0

#3

帖子 donkey » 2007-07-21 23:53

qianwx 写了:如果各方面(刷新率、分辨率、3D加速等)都能正确使用,那么建议你就不要用官方的了。毕竟这是linux,不是windows,没有那么多游戏或者软件对显卡有强烈要求的。
你说的刷新率,分辨率,3D加速等如何检测,我只是觉得在刷新率方面不大好,感到反应稍慢。不过,我已经成功的装了官方驱动,而且确实肉眼感到在显示效果上面要好,诸如其他朋友所说的“有点慢”的现象好像没有了(也可能是我的错觉吧 :lol:

现在分享一下过程,当然,是从网上搜的:
1.删除原驱动(也就是原来我装上去却没有起作用的glx包)
sudo apt-get --purge remove nvidia-glx
#(这一条对我没起什么作用,没反应)
2.恢复X设置 (个人认为,在安装完ubuntu之后,应该备份一下xorg.conf,以方便驱动安装出现问题时恢复)
sudo cp /etc/X11/xorg.conf.backup /etc/X11/xorg.conf
#这一条对我也没用:evil:
3.安装编译环境
sudo apt-get install build-essential linux-headers-`uname -r`(注意:这两个`不是单引号,而是数字键1左边那个)

4.禁止系统使用默认的驱动
sudo gedit /etc/default/linux-restricted-modules-common
在最后的双引号中添加nv,即“”改成“nv”

#以下几条请先记在纸上,因为按下ctrl+alt+F1会进入类似DOS一样的页面

5.按Ctrl+Alt+F1,登录后停止GDM进程
sudo /etc/init.d/gdm stop

6.cd到驱动所在的目录,用sudo -s始终以root权限执行
sh *****************.run //从NVIDIA官方下载的驱动http://www.nvidia.com/
选择合适自己的驱动下载
#大小写要区分,用shift键

开始安装,接受协议,

安装过程中,
如果提示有旧驱动,询问是否删除旧驱动,选Yes;
如果提示缺少某某模块(modules,kernel),询问是否上网下载,选no;
如果提示编译模块,询问是否进行编译,选ok;
如果提示将要修改Xorg.conf,询问是否允许,选Yes;
接下来就是等待安装完成

7.安装完成就回到终端,重启GDM
sudo /etc/init.d/gdm start

好了,现在应该能看到Nvidia那个大大的Logo了,呵呵
ousunred
帖子: 199
注册时间: 2007-02-06 22:45
送出感谢: 0
接收感谢: 0

#4

帖子 ousunred » 2007-07-22 10:46

donkey 写了:
qianwx 写了:
好了,现在应该能看到Nvidia那个大大的Logo了,呵呵
如何不要显示nvidia的那个Logo?
donkey
帖子: 51
注册时间: 2007-06-16 15:16
送出感谢: 0
接收感谢: 0

#5

帖子 donkey » 2007-07-22 11:33

回楼上,不知道啊,

囗囗囗囗,现在又出问题了,启动的时候说不能启动X server,无法进入图形桌面,谁知道怎么回事啊。
头像
karron
帖子: 6226
注册时间: 2005-06-11 14:03
来自: 不明真相的群众
送出感谢: 0
接收感谢: 0
联系:

#6

帖子 karron » 2007-07-22 12:30

安装显卡驱动只需要 sudo apt-get install nvidia-glx 或者nvidia-glx-new , 然后 sudo nvidia-xconfig

这个就是nvidia的官方驱动,简单的不用,用复杂的。
我的blog,关于技术,软件,linux,vim <---- 所有博客均被河蟹.
头像
qianwx
帖子: 730
注册时间: 2006-07-08 14:41
送出感谢: 0
接收感谢: 0

#7

帖子 qianwx » 2007-07-22 12:37

回3楼的,你第一条不起作用,可能是因为根本没安装glx。第二条你完全搞错,你的那条命令是把备份的回复成xorg.conf。。。要备份的话,应该是把后面的那个xorg.conf放到前面,而那个xorg.conf.backup放在后面。。
zhangyujin78
帖子: 202
注册时间: 2007-01-13 22:39
来自: 杭州
送出感谢: 0
接收感谢: 0
联系:

#8

帖子 zhangyujin78 » 2007-07-24 22:14

没有必要安装那个*.RUN的啦
我用的也是7300LE的
既然买的是LE,也就没有什么游戏好玩的(魔兽还可以),好好学习。
装个开源的驱动就够开3D桌面什么的了。。
头像
skyx
论坛版主
帖子: 9203
注册时间: 2006-12-23 13:46
来自: Azores Islands
送出感谢: 0
接收感谢: 1 次
联系:

#9

帖子 skyx » 2007-07-24 22:42

zhangyujin78 写了:没有必要安装那个*.RUN的啦
我用的也是7300LE的
既然买的是LE,也就没有什么游戏好玩的(魔兽还可以),好好学习。
装个开源的驱动就够开3D桌面什么的了。。
apt-get install 安装的nvidia驱动是nvidia官方闭源驱动。版本如果相同,源中的和手动下载的run是一样的,并且安装源中的受限驱动不怕系统升级。


源中的如果可用,就没有必要下载run手动安装,这样只会把非常简单的问题复杂化。
no security measure is worth anything if an attacker has physical access to the machine
回复

回到 “老旧版本支持”